Tryton Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(852)

Issue 45721002: stock: Prevent create move at the closed period date (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 months, 1 week ago by ced
Modified:
7 months, 3 weeks ago
Reviewers:
pokoli, rietveld-bot, reviewbot
Visibility:
Public.

Description

The value stored in a period are at the date so it should be forbidden to create move ate this date and we can use the value up to this date. issue7489

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+15 lines, -2 lines) Patch
M move.py View 2 chunks +2 lines, -2 lines 0 comments Download
M tests/test_stock.py View 2 chunks +13 lines, -0 lines 0 comments Download

Messages

Total messages: 6
ced
8 months, 1 week ago (2018-09-15 16:40:56 UTC) #1
reviewbot
https://codereview.tryton.org/45721002/diff/1/move.py#newcode1037 move.py:1037: E712 comparison to True should be 'if cond is not True:' or 'if ...
8 months, 1 week ago (2018-09-15 16:51:23 UTC) #2
pokoli
LGTM
8 months, 1 week ago (2018-09-16 13:17:12 UTC) #3
rietveld-bot_tryton.org
New changeset 212f22c72a0e by Cédric Krier in branch 'default': Prevent create move at the closed ...
8 months, 1 week ago (2018-09-17 15:49:01 UTC) #4
rietveld-bot_tryton.org
New changeset fd6c0449ec69 by Cédric Krier in branch 'default': Prevent create move at the closed ...
8 months, 1 week ago (2018-09-17 15:49:13 UTC) #5
rietveld-bot_tryton.org
7 months, 3 weeks ago (2018-10-02 11:08:02 UTC) #6
New changeset 4c6ebab834c0 by Cédric Krier in branch '4.8':
Prevent create move at the closed period date
https://hg.tryton.org/modules/stock/rev/4c6ebab834c0


New changeset b5eb5d672cc9 by Cédric Krier in branch '4.6':
Prevent create move at the closed period date
https://hg.tryton.org/modules/stock/rev/b5eb5d672cc9


New changeset b866f8893ddd by Cédric Krier in branch '4.4':
Prevent create move at the closed period date
https://hg.tryton.org/modules/stock/rev/b866f8893ddd


New changeset c7d6e28e3bb4 by Cédric Krier in branch '4.2':
Prevent create move at the closed period date
https://hg.tryton.org/modules/stock/rev/c7d6e28e3bb4


New changeset 704ed1980bb0 by Cédric Krier in branch '4.0':
Prevent create move at the closed period date
https://hg.tryton.org/modules/stock/rev/704ed1980bb0
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 0147766